org.apache.juli

## Class AsyncFileHandler.LogEntry

- java.lang.Object
- - org.apache.juli.AsyncFileHandler.LogEntry

Enclosing class:
  AsyncFileHandler

    protected static class AsyncFileHandler.LogEntry
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AsyncFileHandler.LogEntry(LogRecord record, AsyncFileHandler handler)`

### Method Summary

Methods
`boolean` `flush()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncFileHandler.LogEntry

    public AsyncFileHandler.LogEntry(LogRecord record,
                             AsyncFileHandler handler)

### Method Detail

#### flush

    public boolean flush()